g+
g+ Communities
Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  <20122013  2014  Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  <20122013  2014 
<== Date ==> <== Thread ==>

Subject: Re: Using CSS and setting up RDB Archiver
From: James F Ross <james.falconer.ross@gmail.com>
To: "Kasemir, Kay" <kasemirk@ornl.gov>
Cc: "tech-talk@aps.anl.gov" <tech-talk@aps.anl.gov>
Date: Mon, 3 Dec 2012 16:07:15 -0500
Hello,
Ok, I have the CSS 3.1.2 snapshot.  In my workspace I have included the following plugins:
org.csstudio.archive.config.rdb
org.csstudio.archive.engine
org.csstudio.archive.rdb
org.csstudio.archive.reader
org.csstudio.archive.reader.channelarchiver
org.csstudio.archive.reader.rdb
org.csstudio.archive.reader.rdb.test
org.csstudio.archive.writer
org.csstudio.archive.writer.rdb
org.csstudio.archive.writer.test
org.eclipse.equinox.http.jetty

I know some of these likely are not needed (the channel archiver reader for example), but I figured I would better be safe than sorry. 

When I open the ArchiveEngine.product file in org.csstudio.archive.engine, it pops up a new "errors in workspace" message warning that errors exist in required project(s):
org.csstudio.archive.config.rdb
org.csstudio.archive.engine
org.csstudio.archive.rdb
org.csstudio.archive.writer
org.csstudio.archive.writer.rdb

It then asks if I want to proceed with launch.  If I do so, it continues and errors are written to the log files as the launch fails.

With the exception of org.csstudio.archive.rdb, these are all imported from SNS snapshot 3.0.2 rather than 3.1.2, so that may be part of it.

Is there a good way to find out what errors CSS is sensing in these plugins?  Or will I have to go through each error and find any other missing plugins? 

Thanks!
James

On Mon, Dec 3, 2012 at 9:39 AM, Kasemir, Kay <kasemirk@ornl.gov> wrote:
Hi:

The details of which eclipse plugin provides jetty and its dependencies
have changed with most eclipse releases.
You need to use a version of Eclipse that matches the version of the
source code.

The SNS source snapshot for CSS 3.1.2 for example,
https://ics-web.sns.ornl.gov/css/products.html, supports Eclipse 3.7.2 as
a target platform.

If you have different sources or a different target platform, you can try
to resolve the plugin dependencies as described in  Fix Dependencies on
http://cs-studio.sourceforge.net/docbook/ch15.html, but that is tedious.
Overall it's best to start with a matching set of sources and Eclipse IDE.

Thanks,
Kay




From:  James F Ross <james.falconer.ross@gmail.com>
Date:  Friday, November 30, 2012 14:11
Cc:  "tech-talk@aps.anl.gov" <tech-talk@aps.anl.gov>
Subject:  Re: Using CSS and setting up RDB Archiver


I seem to be missing some necessary files for the RDB archiver to run
properly.  I get the following errors when trying to run
org.csstudio.archiver.engine/ArchiveEngine.product (see below).  I found
org.eclipse.equinox.http.jetty8 ...








Replies:
Re: Using CSS and setting up RDB Archiver Kasemir, Kay
References:
Re: Using CSS and setting up RDB Archiver James F Ross
Re: Using CSS and setting up RDB Archiver Kasemir, Kay

Navigate by Date:
Prev: Re: mask for bitwise operation in CALC record Andrew Johnson
Next: Re: Using CSS and setting up RDB Archiver Kasemir, Kay
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  <20122013  2014 
Navigate by Thread:
Prev: Re: Using CSS and setting up RDB Archiver Kasemir, Kay
Next: Re: Using CSS and setting up RDB Archiver Kasemir, Kay
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  <20122013  2014 
ANJ, 18 Nov 2013 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICSv4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·